#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _name KeePass

Name:           keepass
Version:        2.24
Release:        1.13
License:        GPL-2.0+
Summary:        Password Manager
Url:            http://keepass.info/
Group:          Productivity/Other
Source:         http://sourceforge.net/projects/keepass/files/KeePass%202.x/%{version}/KeePass-%{version}-Source.zip
# PATCH-FIX-OPENSUSE keepass-2.20-nosign.patch -- Do not sign binary. We don't have the private key.
Patch0:         %{name}-2.20-nosign.patch
BuildRequires:  dos2unix
BuildRequires:  monodevelop
BuildRequires:  unzip
BuildRequires:  xorg-x11-fonts-core
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
KeePass is a free open source password manager, which helps you to manage your passwords in a secure way. You can put all your passwords in one database, which is locked with one master key or a key file. So you only have to remember one single master password or select the key file to unlock the whole database. The databases are encrypted using the best and most secure encryption algorithms currently known (AES and Twofish).

%prep
%setup -q -c %{name}-%{version}
%patch0 -p1
dos2unix Docs/License.txt Docs/History.txt

%build
mdtool build -c:Release -f:%{_name}.sln || true

%install
install -d %{buildroot}%{_prefix}/lib/%{name}
install -m 644 Build/%{_name}Lib/Release/%{_name}Lib.dll %{buildroot}%{_prefix}/lib/%{name}/
install -m 644 Build/%{_name}/Release/%{_name}.exe %{buildroot}%{_prefix}/lib/%{name}/

# Bin wrapper
install -d %{buildroot}%{_bindir}
cat << EOF > %{buildroot}%{_bindir}/%{name}
#!/bin/sh
exec mono %{_prefix}/lib/%{name}/%{_name}.exe "\$@"
EOF

# Desktop file
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=%{_name}
GenericName=Password Manager
Comment=Secure Password Management System
Icon=keepass
TryExec=%{_bindir}/keepass
Exec=keepass
Terminal=false
Categories=Utility;Security;
X-SuSE-translate=false
EOF

# Icon
install -d %{buildroot}%{_datadir}/pixmaps
install -m 644 Ext/Icons/Finals/plock-blu.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files
%defattr(-,root,root)
%doc Docs/License.txt Docs/History.txt
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_prefix}/lib/keepass

%changelog
* Fri Oct 19 2012 adam@mizerski.pl
- update to 2.20.1
  - Improved support for images with DPI resolutions different from
    the DPI resolution of the display device.
  - {GOOGLECHROME} placeholder: updated detection code to also
    support the latest versions of Chrome.
  - The option to lock on remote control mode changes now
    additionally watches for remote connects and disconnects.
  - Improved Windows registry accesses.
  - Improved behavior when the user deletes the system temporary
    directory.
  - On Unix-like systems, KeePass now stores most of its temporary
    files in a private temporary directory (preferably in
    $XDG_RUNTIME_DIR).
  - Added detection support for the following web browsers on
    Unix-like systems: Rekonq, Midori and Dooble.
  - KeePass does not try to set the WM_CLASS property on Mac OS X
    systems anymore.
  - Modified some icons to work around unsupported PNG transparency
    keys in Mono.
  - Various code optimizations.
  - Minor other improvements.
* Sun Sep 30 2012 adam@mizerski.pl
- update to 2.20
* Thu Mar 11 2010 ajorgensen@novell.com
- Update to 2.10
